## python-aioshelly 11.2.0

=== requirements.txt ===
bluetooth-data-tools>=1.19.0
aiohttp
habluetooth>=2.1.0
yarl
orjson>=3.8.1

=== debian/changelog ===
python-aioshelly (11.2.0-3) unstable; urgency=medium

  * Add export CRYPTOGRAPHY_OPENSSL_NO_LEGACY=1. (Closes: #1078813).

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Aug 2024 11:17:22 +0200

python-aioshelly (11.2.0-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Aug 2024 23:25:05 +0200

python-aioshelly (11.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1078679)

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Aug 2024 09:17:00 +0200

=== debian/control ===
Source: python-aioshelly
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-aiohttp,
 python3-bluetooth-data-tools,
 python3-habluetooth,
 python3-orjson,
 python3-yarl,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-aioshelly
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-aioshelly.git
Homepage: https://github.com/home-assistant-libs/aioshelly

Package: python3-aioshelly
Architecture: all
Depends:
 python3-aiohttp,
 python3-bluetooth-data-tools,
 python3-habluetooth,
 python3-orjson,
 python3-yarl,
 ${misc:Depends},
 ${python3:Depends},
Description: asynchronous library to control Shelly devices
 This package provides an asynchronous library to control Shelly devices.
 .
 This package is a dependency of Home Assistant.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/home-assistant-libs/aioshelly.git
include /usr/share/openstack-pkg-tools/pkgos.make

export CRYPTOGRAPHY_OPENSSL_NO_LEGACY=1

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_fixperms:
	dh_fixperms
	rm -rf $(CURDIR)/debian/python3-aioshelly/usr/lib/python3/dist-packages/tools

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/aioshelly/aioshelly-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-aioshelly 13.14.0

=== debian/changelog ===
python-aioshelly (13.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to using dh-sequence-python3 in debian/control.
  * Add myself to Uploaders and copyright.
  * Add test dependencies: aioresponses, pytest and pytest-asyncio.
  * Add <!nocheck> to test dependencies.
  * Add Testsuite: autopkgtest-pkg-pybuild so autopkgtest runs tests.
  * Update Standards-Version.
  * Update debhelper compatibility level to 13.
  * Update debian/watch to format version 5.
  * No longer need to set CRYPTOGRAPHY_OPENSSL_NO_LEGACY=1.

 -- Edward Betts <edward@4angle.com>  Fri, 17 Oct 2025 16:52:37 +0100

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,28 @@
 Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Edward Betts <edward@4angle.com>,
 Build-Depends:
- debhelper-compat (= 11),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  openstack-pkg-tools,
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
 Build-Depends-Indep:
- python3-aiohttp,
- python3-bluetooth-data-tools,
- python3-habluetooth,
- python3-orjson,
- python3-yarl,
-Standards-Version: 4.6.1
+ python3-aiohttp <!nocheck>,
+ python3-aioresponses <!nocheck>,
+ python3-bluetooth-data-tools <!nocheck>,
+ python3-habluetooth <!nocheck>,
+ python3-orjson <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
+ python3-yarl <!nocheck>,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-aioshelly
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-aioshelly.git
 Homepage: https://github.com/home-assistant-libs/aioshelly
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-aioshelly
 Architecture: all

## python-aioshelly 13.16.0

=== debian/changelog ===
python-aioshelly (13.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream added new python3-zeroconf dependency.

 -- Edward Betts <edward@4angle.com>  Wed, 05 Nov 2025 09:01:11 +0000

## python-aioshelly 13.17.0

=== debian/changelog ===
python-aioshelly (13.17.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 09 Nov 2025 08:06:10 +0000

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-yarl <!nocheck>,
+ python3-zeroconf <!nocheck>,
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-aioshelly
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-aioshelly.git

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/home-assistant-libs/aioshelly.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild

override_dh_fixperms:
	dh_fixperms
	rm -rf $(CURDIR)/debian/python3-aioshelly/usr/lib/python3/dist-packages/tools

=== debian/watch ===
Version: 5
Source: https://pypi.python.org/packages/source/a/aioshelly/
Matching-Pattern: aioshelly-@STABLE_VERSION@@ARCHIVE_EXT@
